## Action Commands

Many types of actions can be driven by understand_c. For example, -filter, -jumpto, -ib, -ibnew, -gv, -gvnew, -edit_src, -edit, and -editnew options can be used together to control how the interface appears when it opens.

- -addfile “filename” - Add the specified file to the specified or open database.
- -delfile “filename” - Remove the specified file from the specified or open database.
- -edit_src - Open the declaration source for the specified entity. This is the same as double-clicking an entity in Understand.
- -edit “menu_string” - Open the source of the specified entity for editing. The menu_string specifies which source for the entity is opened. Valid menu_strings are listed in the following table.

  Entity Menu Strings for C/C++
  File
  Source
  Member Source

- -editnew “menu_string” - Open the source of the specified entity for editing in a new source window. On Windows, this is available only in Single Document Interface (SDI) mode, which is described in Using an External Editor. The menu_string (listed for -edit) specifies which source to open.
- -entitymenu - Pop up the entity menu for the specified entity at the current cursor position. A Dismiss Menu item is added to the menu as a way to deselect the menu in the other application.
- -filter “filter_tab” - Selects the specifed tab in the Filter Area in the Understand for C++ interface.
- -gv “graphical_menu_string” - Show the specified graphical view for the specified entity. See below for list of possible values for graphical_menu_string.
- -gvnew “graphical_menu_string” - Show the specified graphical view for the specified entity in a new graphic window. See below for list of possible values for graphical_menu_string.

  Graphical Menu Strings for C/C++
  Base Classes
  Callby
  Declaration
  Declaration File
  Declaration Type
  Derived Classes
  Include
  Includeby
  Invocation
  Parent Declaration
  Return Type

- -ib - Load the Info Browser with the specified entity.
- -ibnew - Bring up a new Info Browser and load with the specified entity. This is the same action as occurs in Understand when the “Reuse” button is not checked.
- -locator - Opens the Locate Entities dialog. If -name is specified, it is used as the entity name filter.
- -jumpto “entityname or begins with string” - Jumps to the first entity that begins with specified string in the current or specified (with -filter) tab of the Filter Area in Understand for C++. The -jumpto option also sets the current entity for use by the -ib, -ibnew, -gv, -gvnew, -edit_src, -edit, and -editnew options.
- -metrics - Generates metrics for the open or specified project.
- -refresh - Refreshes the currently open or specified database. Has the same effect as the Project->Analyze Changed Files command.
- -rebuild - Rebuilds the entire open or specified database. Has the same effect as the Project->Analyze All Files command.
- -reports - Generates the currently specified set of reports. Uses the most settings in the Report Configuration dialog.
- -suppress - Hides any errors generated as a result of the command line.

Scientific Toolworks, Inc. http://www.scitools.com